%define major		4
%define libname		%mklibname burn %{major}
%define develname	%mklibname burn -d

# Enable this if it is this kind of release
#define pl pl01

Summary:	Library for reading, mastering and writing optical discs
Name:		libburn
Version:	1.5.6
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://libburnia-project.org/
Source0:	https://files.libburnia-project.org/releases/%{name}-%{version}%{?pl:.%{pl}}.tar.xz
BuildRequires:	doxygen
BuildRequires:	graphviz

%description
Libburn is an open-source library for reading, mastering and writing
optical discs.

%package -n %{libname}
Group:		System/Libraries
Summary:	An open-source library for optical discs

%description -n %{libname}
An open-source library for reading, mastering and writing optical discs.

%package -n %{develname}
Summary:	Header files for development with %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
This package includes the header files for the %{name} package.

%package -n cdrskin
Summary:	Limited cdrecord compatibility wrapper for libburn
Group:		Archiving/Cd burning

%description -n cdrskin
A limited cdrecord compatibility wrapper which allows to use some
libburn features from the command line.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libburn.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libburn.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}

%files -n cdrskin
%{_bindir}/cdrskin
%{_mandir}/man1/cdrskin.1.*


%changelog
* Mon Sep 04 2023 tex - 1.5.6-1pclos2023
- new version: 1.5.6
